<?php defined('_JEXEC') or die('Restricted access'); ?>

<?php JHTML::_('behavior.tooltip'); ?>

<?php
	// Set toolbar items for the page
	$edit		= JRequest::getVar('edit',true);
	$text = !$edit ? JText::_( 'New' ) : JText::_( 'Edit' );
	JToolBarHelper::title(   JText::_( 'Question' ).': <small><small>[ ' . $text.' ]</small></small>' );
	JToolBarHelper::save();
	if (!$edit)  {
		JToolBarHelper::cancel();
	} else {
		// for existing items the button is renamed `close`
		JToolBarHelper::cancel( 'cancel', 'Close' );
	}
?>

<script language="javascript" type="text/javascript">
	function submitbutton(pressbutton) {
		var form = document.adminForm;
		if (pressbutton == 'cancel') {
			submitform( pressbutton );
			return;
		}

		// do field validation
		if (form.question.value == ""){
			alert( "<?php echo JText::_( 'You must enter a question', true ); ?>" );
		} else {
			submitform( pressbutton );
		}
	}
</script>
<style type="text/css">
	table.paramlist td.paramlist_key {
		width: 92px;
		text-align: left;
		height: 30px;
	}
</style>

<form action="index.php" method="post" name="adminForm" id="adminForm">
<div class="col width-50">
	
	<fieldset class="adminform">
		<legend><?php echo JText::_( 'Details' ); ?></legend>

		<table class="admintable">
		<tr>
			<td valign="top" align="right" class="key">
				<?php echo JText::_( 'Published' ); ?>:
			</td>
			<td>
				<?php echo $this->lists['published']; ?>
			</td>
		</tr>
	</table>
	</fieldset>

	<fieldset class="adminform">
		<legend><?php echo JText::_( 'Question' ); ?></legend>

		<table class="admintable" width="100%">
		<tr>
			<td>
				<textarea class="text_area" name="question" id="question" style="width:100%;height:100px;"><?php echo $this->question->question;?></textarea>
			</td>
		</tr>
		
	</table>
	</fieldset>
</div>

<div class="col width-50">
	<fieldset class="adminform">
		<legend><?php echo JText::_( 'Answer Choices' ); ?></legend>

		<table class="admintable" width="95%">
		<thead>
			<th align="center">Correct</th>
			<th></th>
		</thead>
<?php
if(count($this->question->answers)) {
	for($i=0;$i<count($this->question->answers);$i++):
?>
		<tr>
			<td align="center" width="40">
				<input type="radio" name="correct" value="<?php echo $i; ?>" <?php if($i == $this->question->correct) echo "checked=\"true\""; ?> />
			</td>
			<td>
				<textarea class="text_area" name="answers[]" id="question" style="width:100%;height:50px;" ><?php echo $this->question->answers[$i];?></textarea>
			</td>
		</tr>
<?php
	endfor;
} else {
	for($i=0;$i<4;$i++):
?>
		<tr>
			<td align="center" width="40">
				<input type="radio" name="correct" value="<?php echo $i; ?>" />
			</td>
			<td>
				<textarea class="text_area" name="answers[]" id="question" style="width:100%;height:50px;"></textarea>
			</td>
		</tr>
<?php
	endfor;
}
?>
<!-- FOR FUTURE RELEASE
		<tr>
			<td></td>
			<td>
				<input type="button" name="add_answer" value="Add Another" disabled="true" />
			</td>
		</tr>
-->
	</table>
	</fieldset>
</div>


	<input type="hidden" name="option" value="com_regquiz" />
	<input type="hidden" name="cid[]" value="<?php echo $this->question->id; ?>" />
	<input type="hidden" name="task" value="" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>
