<?php
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class RegQuizViewQuestion extends JView
{
	const ANSWERS_DELIMITER = "|*|";
	
	function display($tpl = null)
	{
		global $mainframe;

		if($this->getLayout() == 'form') {
			$this->_displayForm($tpl);
			return;
		}

		//get the question
		$question =& $this->get('data');

		parent::display($tpl);
	}

	function _displayForm($tpl)
	{
		global $mainframe, $option;

		$db		=& JFactory::getDBO();
		$uri 	=& JFactory::getURI();
		$user 	=& JFactory::getUser();
		$model	=& $this->getModel();


		$lists = array();

		//get the question
		$question	=& $this->get('data');
		$isNew		= ($question->id < 1);

		// fail if checked out not by 'me'
		if ($model->isCheckedOut( $user->get('id') )) {
			$msg = JText::sprintf( 'DESCBEINGEDITTED', JText::_( 'The question' ), '' );
			$mainframe->redirect( 'index.php?option='. $option, $msg );
		}

		// Edit or Create?
		if (!$isNew)
		{
			$model->checkout( $user->get('id') );
			// translate answers into php array
			$question->answers = json_decode($question->answers);
		}
		else
		{
			// initialise new record
			$question->published = 1;
			$question->order 	= 0;
			$question->answers = array();
		}
		
		// build the html select list for publishing
		$lists['published'] 		= JHTML::_('select.booleanlist',  'published', 'class="inputbox"', $question->published );
		
		//clean question data
		JFilterOutput::objectHTMLSafe( $question, ENT_QUOTES, 'question' );

		$file 	= JPATH_COMPONENT.DS.'models'.DS.'question.xml';
		$params = new JParameter( $question->params, $file );

		$this->assignRef('lists',		$lists);
		$this->assignRef('question',	$question);
		$this->assignRef('params',		$params);

		parent::display($tpl);
	}
}
